19

This release cycle of WordPress 4.0 was a pleasure for us (and many other plugin authors). Betas and release candidates were available well ahead of the official release date, allowing everyone to get ready for it.

For a few weeks, we’ve been testing and updating WPML to address the recent changes in WordPress 4.0. WPML 3.1.7, which we released last week, includes all the required updates. Fortunately, these updates are not huge, but it was still important to be prepared for them.

If you are updating your sites and having trouble, we can help. Please keep in mind that issues that you see, might be coming from different places. Before you report bugs, we recommend turning off other plugins. If possible, you should also temporarily switch to the default theme.

This new WordPress version introduces changes in the visual editor, as well as in several core functions. Since WordPress, the theme and all plugins run as one PHP process, problems in one place can manifest in different areas. If you see problems in the WordPress admin, we recommend these steps:

  1. Open the Javascript console (available in Firefox and Chrome) and see if you spot any Javascript errors
  2. Enable PHP error logging and see if there are errors there
  3. Disable plugins and see if problems are resolved

If you need our help, go to the WPML technical support forum. Create a new thread as ‘I need to resolve a problem’. Make sure you include the debug information from your site, so that we can see what we are running. In the thread, include screenshots that show the problem. If you see Javascript or PHP errors, paste them.

Please include the term ‘WP 4.0’ in the title, so that we can prioritize and respond to these issues faster.

BTW, before any update of WordPress, your theme or plugins, we strongly recommend backing up your database. Having a DB backup gives you the peace of mind, knowing that you can always revert changes and that if anything goes wrong, you’re safe.

Happy WordPress upgrade!

19 Responses to “WPML is Ready for WordPress 4.0. Are You Ready?”

  1. WPML Is not ready for 4.0

    I upgraded my WordPress installation and WPML broke the media gallery.

    Waiting for the fix to clean my media gallery.

        • That’s not what we found and it’s not a cosmetic issue. In our testing, we saw something quite different, which is more cosmetic. I’ve asked WPML devs to take this and see where it’s coming from. We’ll make sure that you receive a patch and get continue working with your sites on WordPress 4.0.

            • Same thing here: media gallery totally broken now. I uploaded a file and boom, ALL my media gallery files are appearing as that one file. Cannot edit, upload, or add anything to my site because of this. Please update me as well, thanks. Jim

              • What version of WPML are you running and what components (and versions) do you have installed? The other report about this turned out to be with an older version of WPML which was not supposed to be compatible with WordPress 4.0.

                • Hi Amir, thanks for your answer! I am running CMS Nav 1.4.4, Media 2.1.5, Multilingual CMS 3.1.6, and Sticky links 1.3.4. Thanks for your help. Jim

                • You’re using a version of WPML that’s not supposed to work with WordPress 4.0. It was released before WordPress 4.0 was available for any testing. WPML 3.1.7.2 doesn’t have these compatibility problems.

    • We’ve released a beta version for WPML 3.1.8, which should address these issues:
      http://wpml.org/2014/09/wpml-3-1-8-b1/

      If you see duplicate media after updating, you might have these duplicates in the database. Our support staff can help you clean the DB from these duplicates. When you report about it, please be sure to include screenshots that show the problems, so that supporters know exactly what you’re seeing.

      • Hi, still in trouble.

        With WPML 3.1.8-b1 enabled we can’t use our site, every single post become extremely slow and we get blank page.

        No image duplicates on database, but we can’t test to upload new picture for the extremely slowness.

        Waiting for bug resolution.

  2. I can’t change menu items and edit users with WP 4.0 and WPML 3.1.7.2.

    Whenever clicking save it returns white page.

    After disabling WPML all is fine.

    • Raul, the white page means there is a not displayed version.
      Can you please either check the server logs or enable debugging?

      I also suggest to report issues in our support forum where you can get a better and faster help.

      Thanks.

  3. Hello there, I just noticed that my english content is not available! I am currently using wordpress 4.0 on my website http://www.ayurbalance.at – in the plugin section it says WPML Version 3.0.1. What happened here?

    Here is the error message: Warning: explode() expects parameter 2 to be string, array given in /home/.sites/489/site1210/web/wordpress/wp-content/plugins/sitepress-multilingual-cms/sitepress.class.php on line 6270

    I am not really such an IT geek. Please if you know how to fix this, tell me step-by-step in an easy language. Hopefully you can help. Thank you.

    • Hello Christian,

      We have just published a new beta: can you please use this new version? It should fix this and other issues.

      Also I recommend to user the support forum to get faster and better help.

      Thanks.